/// <reference types="react" />
import { IStore } from '@proscom/prostore';
export declare type IProstoreContext = {
    [name: string]: IStore<any>;
};
export declare type StoreOrName<State> = string | IStore<State>;
export declare const ProstoreContext: import("react").Context<IProstoreContext>;
export declare function useContextStore<State>(storeOrName: StoreOrName<State>): IStore<State>;
