import { BehaviorSubject, Observable } from 'rxjs';
/**
 * Подписка на обзервабл
 */
export declare function useObservable<State>(obs$: Observable<State>, setState: (state: State) => any): void;
/**
 * Подписка на обзервабл с локальным стейтом
 */
export declare function useObservableState<State>(obs$: Observable<State>, initialState?: State): State;
/**
 * Подписка на BehaviorSubject
 */
export declare function useSubject<State>(sub$: BehaviorSubject<State>): State;
