import { StoreOrName } from './ProstoreContext';
import { IStore } from '@proscom/prostore';
/**
 * Хук, подключающий компонент к стору
 */
export declare function useStore<State>(storeOrName: StoreOrName<State>): [State, IStore<State>];
/**
 * Хук, подключающий компонент к стору
 */
export declare function useStoreState<State>(storeOrName: StoreOrName<State>): State;
/**
 * Хук, подключащий компонент к стору и возвращающий часть состояния
 */
export declare function useStoreSelect<State, Derived>(storeOrName: StoreOrName<State>, select: (state: State) => Derived): [Derived, IStore<State>];
